.puzzle {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  margin-top: var(--space-l);
}

.sliding-square {
  display: grid;
  grid-gap: 0.25rem;
  grid-template-rows: var(--grid-size);
  grid-template-columns: var(--grid-size);
  flex-basis: auto;

  width: 75%;
  justify-items: center;

  border-width: 4px;
  border-style: solid;
  border-color: var(--theme-light, var(--t-gray-1))
                var(--theme-dark, var(--t-gray-8));
  background-color: var(--theme-light, var(--t-gray-1))
                    var(--theme-dark, var(--t-gray-8));
  box-shadow: rgba(0, 0, 0, 0.12) 0px 3px 5px;

  & > button::before {
      content: "";
      padding-bottom: 100%;
      display: block;
  }
}

.cell {
  --dark-hover-color: var(--theme-background-alt);
  aspect-ratio: 1;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--theme-light, var(--theme-background))
                    var(--theme-dark, var(--dark-hover-color));

  &:hover {
    --dark-hover-color: var(--t-gray-6);
  }

  &:active {
    transform: translateY(1px);
  }

  &:empty {
    background-color: unset;
  }
}

.cell-highlight {
  color: var(--theme-green);
  border-style: solid;
  border-color: var(--theme-light-green);
  border-width: var(--theme-light, 3px) var(--theme-dark, 1px);
}

.info-list {
  list-style-type: none;
  margin-top: var(--space-l);
  padding-left: 0;

  & > li > span:first-child {
    font-family: "BricolageGrotesque";
    font-weight: 600;
  }
}

.grid-selection > * + * {
  margin-left: 0.5rem;
  margin-block-start: 0;
}

.grid-selection-btn,
.restart-btn {
  --dark-hover-color: var(--t-gray-8);
  color: var(--theme-foreground);
  background-color: var(--theme-light, var(--theme-background-alt))
                    var(--theme-dark, var(--dark-hover-color));
  box-shadow: rgba(0, 0, 0, 0.12) 0px 4px 5px;
  padding: var(--space-3xs) var(--space-2xs);

  &:active {
    transform: translateY(1px);
  }

  &:empty {
    background-color: unset;
  }
}

.grid-selection-btn, .restart-btn {
  &:hover {
    --dark-hover-color: var(--t-gray-6);
  }
}

@media (min-width: 600px) {
  .puzzle {
     flex-direction: row;
  }

  .sliding-square {
    width: 50%;
  }

  .info-list {
    margin-top: 0;
  }
}
